
# Offline GCC Compile

## Prerequisite

 * install arm-none-eabi-gcc
 * install srecord

```
brew install srecord
```

## Make hex files

```
$ make -j merge
$ ls -altrh .build/keyboard.hex  .build/combined.hex
-rw-r--r--@ 1 cho45  staff   123K  9  2 02:05 .build/keyboard.hex
-rw-r--r--@ 1 cho45  staff   415K  9  2 02:16 .build/combined.hex
```

keyboard.hex is application hex. combined.hex is merged with softdevice.

## Flash hex to /Volume/MBED

```
$ make flash
```

Copy combined.hex to /Volume/MBED

# ref

- https://lowreal.net/2016/09/02/1
- https://developer.bluetooth.org/gatt/services/Pages/ServiceViewer.aspx?u=org.bluetooth.service.human_interface_device.xml
